Apache JMeter

## org.apache.jmeter.report.gui.action
Class ReportExitCommand

    java.lang.Object
      org.apache.jmeter.report.gui.action.ReportExitCommand

All Implemented Interfaces:
  Command

    public class ReportExitCommand

extends Object
implements Command

Field Summary
`static String` `EXIT`

Constructor Summary
`ReportExitCommand()` Constructor for the ExitCommand object

Method Summary
`void` `doAction(ActionEvent e)` Description of the Method
`Set<String>` `getActionNames()` Gets the ActionNames attribute of the ExitCommand object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXIT

    public static final String EXIT

See Also:
  Constant Field Values

Constructor Detail

### ReportExitCommand

    public ReportExitCommand()

  Constructor for the ExitCommand object

Method Detail

### getActionNames

    public Set<String> getActionNames()

  Gets the ActionNames attribute of the ExitCommand object

  Specified by:
    `getActionNames` in interface `Command`
  Returns:
    The ActionNames value

### doAction

    public void doAction(ActionEvent e)

  Description of the Method

  Specified by:
    `doAction` in interface `Command`
  Parameters:
    `e` - Description of Parameter

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.